## Process this file with automake to produce Makefile.in

if USE_GNOME2
SUBDIRS = engine gnome console
else
SUBDIRS = engine console
endif

COMMON_LIBS = console/librcconsole.a engine/librcengine.a

if USE_GNOME2
TMP_LIBS = gnome/librcgnome.a
TMP_LDADD =
else
TMP_LIBS =
TMP_LDADD = -lm $(ADDITIONAL_LIBS)
endif

LIBS = $(COMMON_LIBS) $(TMP_LIBS)

INCLUDES = \
	-DPACKAGE_DATA_DIR=\""$(datadir)"\" \
	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
	@PACKAGE_CFLAGS@ -DHAS_I18N

bin_PROGRAMS = rcalc

rcalc_SOURCES = rcalc.c

rcalc_LDADD = @PACKAGE_LIBS@ $(READLINE_LIBS) $(TMP_LDADD)

EXTRA_DIST = README
